#include <bits/stdc++.h>
using namespace std;

int solve(int n,int a[20000],int m)
{
    int med = a[n/2];

    if(med==m) return 0;
    else if(med<m)
    {
        if(m>a[n-1]) return n;
        for(int i=n/2+1;i<n;i++)
        {
            if(a[i]>=m)
            {
                int l=0,d=0;
                for(int j=i-1;j>=0;j--,l++);
                for(int j=i+1;j<n;j++,d++);
                return l-d-1;
            }
        }
    }
    else
    {
        if(m<a[0]) return n+1;
        for(int i=n/2-1;i>=0;i--)
        {
            if(a[i]<=m)
            {
                int l=0,d=0;
                for(int j=i-1;j>=0;j--,l++);
                for(int j=i+1;j<n;j++,d++);
                return d-l-1;
            }
        }
    }
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n,q;
    cin>>n>>q;
    int a[20000],b[20000];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(int i=0;i<q;i++)
    {
        cin>>b[i];
    }
    sort(a,a+n);
    sort(b,b+q);
    for(int i=0;i<q;i++)
    {
        cout<<solve(n,a,b[i])<<"\n";
    }

    return 0;
}